# Note that this is NOT a relocatable package
%define version      0.2.4
%define release      5mdk

Summary: GNOME chess
Name: gnome-chess
Version: %version
Release: %release
Copyright: GPL
Group: Games/Boards
BuildRequires: XFree86-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel zlib-devel
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-chess/%{name}-%{version}.tar.bz2
Source1: %{name}-32.xpm.bz2
Source2: %{name}-48.xpm.bz2
Source3: %{name}-16.xpm.bz2
BuildRoot: /%{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org

%description
GNOME Chess is part of the GNOME project and is a graphical chess interface. It
can provide and interface to GNU Chess, Crafty, chess servers and PGN files.

%prep
%setup

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	title="Gnome Chess" \
	longtitle="Gnome Chess game" \
	command="%{_bindir}/gnome-chess" \
	icon="%{name}.xpm" \
	needs="x11" \
	section="Amusement/Boards"
EOF

# icon
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm

%{find_lang} %{name}

%post
## menu
%{update_menus}

%postun
## menu
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm

%changelog
* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.4-5mdk
- Add new icons
- use find_lang macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2.4-4mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.4-3mdk
- BM + macroszification
- embed menu in specfile

* Sat Apr 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.4-2mdk
- removed unecessary manual stripping/bzing 
- addded menu entry

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 0.2.4-1mdk
- 0.2.4 
- SMP build/check.
- new group.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP build/check
- 0.2.3

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Mandrake adaptations

